## org.eclipse.jst.jsf.facesconfig.emf.impl
Class MapEntriesTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.MapEntriesTypeImpl

All Implemented Interfaces:
  MapEntriesType

    public class MapEntriesTypeImpl

extends EObjectImpl
implements MapEntriesType

An implementation of the model object 'Map Entries Type'.

The following features are implemented:

- `Key Class`
- `Value Class`
- `Map Entry`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetKeyClass(KeyClassType newKeyClass, NotificationChain msgs)`
`NotificationChain` `basicSetValueClass(ValueClassType newValueClass, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getId()`
`KeyClassType` `getKeyClass()`
`EList` `getMapEntry()`
`ValueClassType` `getValueClass()`
`void` `setId(java.lang.String newId)`
`void` `setKeyClass(KeyClassType newKeyClass)`
`void` `setValueClass(ValueClassType newValueClass)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getKeyClass

    public KeyClassType getKeyClass()

  Specified by:
    `getKeyClass` in interface `MapEntriesType`
  Returns:
    the value of the 'Key Class' containment reference.
  See Also:
    `MapEntriesType.setKeyClass(KeyClassType)`, `FacesConfigPackage.getMapEntriesType_KeyClass()`

### basicSetKeyClass

    public NotificationChain basicSetKeyClass(KeyClassType newKeyClass,
                                              NotificationChain msgs)

  Parameters:
    `newKeyClass` -
    `msgs` -
  Returns:
    the notification chain

### setKeyClass

    public void setKeyClass(KeyClassType newKeyClass)

  Specified by:
    `setKeyClass` in interface `MapEntriesType`
  Parameters:
    `newKeyClass` - the new value of the 'Key Class' containment reference.
  See Also:
    `MapEntriesType.getKeyClass()`

### getValueClass

    public ValueClassType getValueClass()

  Specified by:
    `getValueClass` in interface `MapEntriesType`
  Returns:
    the value of the 'Value Class' containment reference.
  See Also:
    `MapEntriesType.setValueClass(ValueClassType)`, `FacesConfigPackage.getMapEntriesType_ValueClass()`

### basicSetValueClass

    public NotificationChain basicSetValueClass(ValueClassType newValueClass,
                                                NotificationChain msgs)

  Parameters:
    `newValueClass` -
    `msgs` -
  Returns:
    the notification chain

### setValueClass

    public void setValueClass(ValueClassType newValueClass)

  Specified by:
    `setValueClass` in interface `MapEntriesType`
  Parameters:
    `newValueClass` - the new value of the 'Value Class' containment reference.
  See Also:
    `MapEntriesType.getValueClass()`

### getMapEntry

    public EList getMapEntry()

  Specified by:
    `getMapEntry` in interface `MapEntriesType`
  Returns:
    the value of the 'Map Entry' containment reference list.
  See Also:
    `FacesConfigPackage.getMapEntriesType_MapEntry()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `MapEntriesType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `MapEntriesType.setId(String)`, `FacesConfigPackage.getMapEntriesType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `MapEntriesType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `MapEntriesType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()